Subject: bug#211: acknowledged by developer (wontfix)

From: Kristopher John Gamrat <[email-masked]>
Date: Tue, 29 May 2018 08:16:25 -0400

---------------------> PLEASE REPLY BELOW THIS MESSAGE <---------------------
From: Kristopher John Gamrat
To: [email-masked]
CC: 
Date: Tuesday 29 May 2018, 08:08:21 am
Subject: Re: bug#211 acknowledged by developer (wontfix)

On Tuesday 29 May 2018 at 07:33:07 am, Devuan bug Tracking System wrote:
> This is an automatic notification regarding your bug report
> #211: plymouth requires systemd,
> which was filed against the plymouth package.
>
> It has been closed by one of the developers, namely
> KatolaZ <[email-masked]>.
>
> Their explanation is attached below.  If this explanation is
> unsatisfactory and you have not received a better one in a separate
> message then please contact the developer, by replying to this email.
>
> Devuan Bugs Owner
> (administrator, Devuan bugs database)
>
> Received: (at 211-done) by bugs.devuan.org; 29 May 2018 11:20:03 +0000
> Return-Path: <[email-masked]>
> Delivered-To: [email-masked]
> Received: from tupac3.dyne.org [195.169.149.119]
> 	by fulcanelli with IMAP (fetchmail-6.3.26)
> 	for <debbugs@localhost> (single-drop); Tue, 29 May 2018 13:20:03 +0200
> (CEST) Received: from [127.0.0.1] (localhost [127.0.0.1])
> 	(Authenticated sender: [email-masked])
> 	with ESMTPSA id 0FBBDF604B9
> Date: Tue, 29 May 2018 13:18:31 +0200
> From: KatolaZ <[email-masked]>
> To: [email-masked]
> Subject: wontfix
> Message-ID: <[email-masked]>
> MIME-Version: 1.0
> Content-Type: multipart/signed; micalg=pgp-sha1;
> 	protocol="application/pgp-signature"; boundary="r3a5w3ubu5wnnlpq"
> Content-Disposition: inline
> User-Agent: NeoMutt/20170113 (1.7.2)
> X-Spam-Status: No, score=-1.0 required=5.0 tests=ALL_TRUSTED
> 	autolearn=disabled version=3.4.1
> X-Spam-Checker-Version: SpamAssassin 3.4.1 (2015-04-28) on tupac3.dyne.org
>
>
> --r3a5w3ubu5wnnlpq
> Content-Type: text/plain; charset=us-ascii
> Content-Disposition: inline
>
> Closing this one, since plymouth directly depends on systemd, and the
> package is banned (it's not present) in Devuan repos. The only way to
> install plymouth seems to use a distro based on systemd.
>
> --r3a5w3ubu5wnnlpq
> Content-Type: application/pgp-signature; name="signature.asc"
>
> -----BEGIN PGP SIGNATURE-----
>
> iF0EABECAB0WIQSOWdaqRF79tKFTPVpfILOuC18GLwUCWw03BgAKCRBfILOuC18G
> LxeOAJwIBBfdUAoxZ+C0dPCKlRUgewhFSACfYIyPl7tbp8tu/aOPIjbdEOQsGs0=
> =Muw6
> -----END PGP SIGNATURE-----
>
> --r3a5w3ubu5wnnlpq--

Plymouth does not appear to be banned from Devuan's repositories. On a system 
with Devuan Jessie, I am able to install Plymouth without any dependency 
issues despite not having systemd present, and it appears to run perfectly 
with the default init system (SystemV, I believe) in Jessie. Furthermore, I 
get the following output when searching for plymouth on Devuan Ascii (I did 
do an `apt-get update` immediately prior to be sure it was correct):

root@Printers:~# apt-cache search plymouth
libplymouth-dev - graphical boot animation and logger - development files
libplymouth4 - graphical boot animation and logger - shared libraries
plymouth - boot animation, logger and I/O multiplexer
plymouth-themes - boot animation, logger and I/O multiplexer - themes
plymouth-x11 - boot animation, logger and I/O multiplexer - X11 renderer
plymouth-theme-hamara - boot animation, logger and I/O multiplexer - Hamara 
theme

If plymouth was changed upstream to require systemd (rather than by Debian or 
Devuan packagers despite not actually being required), I am not opposed to 
removing it from the Devuan repos, but it clearly isn't banned (yet) if I am 
able to search it and attempt install.

-- 
Kristopher Gamrat
Jabber ID: [email-masked]
My OpenPGP Key Fingerprints:
CBB4 4C0B 7794 F668 D486 9B68 02C0 8EE2 7F03 0E92

May you be blessed by Our Holy Glob the FSM.

----------------------------- FRIENDLY REMINDER -----------------------------

> On Tuesday, January 02, 2666 at 12:02:46 PM, Kris said:
> > 
> > On Monday, January 01, 2666 at 13:13:13 PM, Kris' Evil Twin said:
> > > 
> > > Why do you want me to reply below quotes?
> > 
> > > On Sunday, December 31, 2665 at 10:32:46 AM, Kris said:
> > > > 
> > > > Please reply below quotes.
> > > > 
> > Because:
> >  * it helps avoid confusing email quotes like this example
> >  * it makes it easier to match the quote dates to the quotes
> >  * it makes it easier for us to truncate quotes without messing up the
> >    quote dates or the ordering of the quotes
> >  * it makes it easier for the me to see what you are replying to (because
> >    it's the very first thing I see in your message)
> >  * it makes it easier for me to reference the quote of your message when I
> >    am typing my reply (because it's the last thing in your message and
> >    immediately above where my email client has me type my message)
> > 
> > Thank you for understanding.
> > 

---------------------> PLEASE REPLY BELOW THIS MESSAGE <---------------------